Skip to main content
POST
/
anomaly_notifications
Create anomaly notification
curl --request POST \
  --url https://api.vantage.sh/v2/anomaly_notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cost_report_token": "<string>",
  "threshold": 123,
  "user_tokens": [
    "<string>"
  ],
  "recipient_channels": [
    "<string>"
  ]
}
'
{
  "token": "rprt_alrt_9b22edfa0a175609",
  "cost_report_token": "rprt_4c9e5f72ae27bc24",
  "created_at": "2024-04-09T15:05:37Z",
  "updated_at": "2024-04-09T15:05:37Z",
  "threshold": 1,
  "user_tokens": [
    "usr_3773d590e84f6f12"
  ],
  "recipient_channels": [
    "channel1",
    "channel2"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create an Anomaly Notification for a Cost Report.

cost_report_token
string
required

The token of the Cost Report that has the notification.

threshold
integer<int32>

The threshold amount that must be met for the notification to fire.

user_tokens
string[]

The tokens of the Users that receive the notification.

recipient_channels
string[]

The Slack/MS Teams channels that receive the notification.

Response

AnomalyNotification model

token
string
required
cost_report_token
string
required

The token for the CostReport the AnomalyNotification is associated with.

created_at
string
required

The date and time, in UTC, the AnomalyNotification was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the AnomalyNotification was last updated at. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

threshold
integer<int32>
required

The threshold amount that must be met for the notification to fire.

user_tokens
string[]
required

The tokens of the users that receive the notification.

recipient_channels
string[]
required

The channels that the notification is sent to.